# H235_H235Key Class Reference

`#include <h235.h>`

List of all members.

## Public Types

enum | Choices { e_secureChannel, e_sharedSecret, e_certProtectedKey, e_secureSharedSecret }

## Public Member Functions

| H235_H235Key (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H235_KeyMaterial & ()
| operator const H235_KeyMaterial & () const
| operator H235_ENCRYPTED ()
| operator const H235_ENCRYPTED () const
| operator H235_SIGNED ()
| operator const H235_SIGNED () const
| operator H235_V3KeySyncMaterial & ()
| operator const H235_V3KeySyncMaterial & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H235_H235Key::Choices

Enumerator:

  e_secureChannel |
  e_sharedSecret |
  e_certProtectedKey |
  e_secureSharedSecret |

## Constructor & Destructor Documentation

H235_H235Key::H235_H235Key | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H235_H235Key::operator H235_KeyMaterial & | ( |  | ) |

H235_H235Key::operator const H235_KeyMaterial & | ( |  | ) | const

H235_H235Key::operator H235_ENCRYPTED | ( |  | ) |

H235_H235Key::operator const H235_ENCRYPTED | ( |  | ) | const

H235_H235Key::operator H235_SIGNED | ( |  | ) |

H235_H235Key::operator const H235_SIGNED | ( |  | ) | const

H235_H235Key::operator H235_V3KeySyncMaterial & | ( |  | ) |

H235_H235Key::operator const H235_V3KeySyncMaterial & | ( |  | ) | const

PBoolean H235_H235Key::CreateObject | ( |  | ) |

PObject* H235_H235Key::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h235.h